Home | All Classes | Grouped Classes | Index | Search

# Class CL_InputBuffer

Input buffer interface. More...

Derived from: none
Derived by: none
Group: Display (Input)

#include <ClanLib/display.h>

Construction:

CL_InputBuffer | Constructs an input buffer.

Attributes:

keys_left | Returns number of keys still available in the buffer.
peek_key | Returns the next key in the buffer, but unlike pop_key() it does not pop it from the input buffer.

Operations:

operator = | Copy assignment operator.
add_device | Adds a device that input buffer should connect to get keys.
add_devices | Adds all devices from a inputcontext that input buffer should connect to get keys.
pop_key | Pops the next key in the buffer and returns it.
clear | Clears the buffer.

Detailed description:

!group=Display/Input! !header=display.h!

Use this class to read buffered keys from the keyboard or any other device.

Questions or comments, write to the ClanLib mailing list.